﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Renderable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            int pointCount = 51;

            double[] xValueArray  = DataGen.Consecutive(pointCount);
            double[] yValueArray1 = DataGen.Sin(pointCount);
            double[] yValueArray2 = DataGen.Cos(pointCount);
            double[] yValueArray3 = DataGen.Cos(pointCount, mult : -1);

            plot.AddScatter(xValueArray, yValueArray1, color : Color.Magenta, lineWidth : 0, markerSize : 10);
            plot.AddScatter(xValueArray, yValueArray2, color : Color.Green  , lineWidth : 5, markerSize : 0);
            plot.AddScatter(xValueArray, yValueArray3, color : Color.Blue   , lineWidth : 3, markerSize : 0, lineStyle : LineStyle.DashDot);

            Legend legend = plot.Legend();

            legend.FixedLineWidth = false;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}